summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xUbuntu/README.md10
-rwxr-xr-xUbuntu/install-eSim.sh28
-rw-r--r--Version_Change.md4
3 files changed, 23 insertions, 19 deletions
diff --git a/Ubuntu/README.md b/Ubuntu/README.md
index 5c7c65d4..08f88ce3 100755
--- a/Ubuntu/README.md
+++ b/Ubuntu/README.md
@@ -22,11 +22,15 @@ It contains the documentation to package eSim for Ubuntu OS.
- requirement.txt
- .gitignore
- .travis.yml
+ - `library/browser/User-Manual/figures` folder
+ - library/browser/User-Manual/eSim.html
-4. Add the zip file of `NGHDL` (`nghdl.zip`) in the eSim folder.
+4. Add eSim user manual `eSim_Manual_<version>.pdf` at location `library/browser/User-Manual`.
+
+5. Add the zip file of `NGHDL` (`nghdl.zip`) in the eSim folder.
> Note: Refer this [documentation](https://github.com/fossee/nghdl/tree/installers/Ubuntu/README.md) on packaging of NGHDL for Ubuntu OS.
-5. Compress `kicadLibrary` folder to a `tar.xz` format.
+6. Compress `kicadLibrary` folder to a `tar.xz` format and then remove that folder.
-6. Compress `eSim-<version>` to a zip format for distribution.
+7. Compress `eSim-<version>` to a zip format for distribution.
diff --git a/Ubuntu/install-eSim.sh b/Ubuntu/install-eSim.sh
index 74d59992..8ce35553 100755
--- a/Ubuntu/install-eSim.sh
+++ b/Ubuntu/install-eSim.sh
@@ -18,18 +18,6 @@
# REVISION: Sunday 02 August 2020 01:26
#===============================================================================
-set -e # Set exit option immediately on error
-set -E # inherit ERR trap by shell functions
-
-error_exit() {
- echo -e "\n\nError! Kindly resolve above error(s) and try again."
- echo -e "\nAborting Installation...\n"
-}
-
-# Trap on function error_exit before exiting on error
-trap error_exit ERR
-
-
# All variables goes here
config_dir="$HOME/.esim"
config_file="config.ini"
@@ -38,6 +26,12 @@ ngspiceFlag=0
## All Functions goes here
+error_exit() {
+ echo -e "\n\nError! Kindly resolve above error(s) and try again."
+ echo -e "\nAborting Installation...\n"
+}
+
+
function createConfigFile
{
@@ -125,7 +119,7 @@ function installDependency
if [[ $(lsb_release -rs) != 16.* ]]; then
echo "Installing Distutils......................."
- sudo apt-get install python3-distutils
+ sudo apt-get install -y python3-distutils
fi
echo "Installing KiCad..........................."
@@ -275,6 +269,14 @@ fi
## Checking flags
if [ $option == "--install" ];then
+
+ set -e # Set exit option immediately on error
+ set -E # inherit ERR trap by shell functions
+
+ # Trap on function error_exit before exiting on error
+ trap error_exit ERR
+
+
echo "Enter proxy details if you are connected to internet thorugh proxy"
echo -n "Is your internet connection behind proxy? (y/n): "
diff --git a/Version_Change.md b/Version_Change.md
index bd308cb6..6a0327f2 100644
--- a/Version_Change.md
+++ b/Version_Change.md
@@ -13,9 +13,7 @@ It contains the documentation for the changes to be done when a new release is t
3. `master/setup.py` - Update `version` field in `setup` function
4. User Manual
- - Download eSim Manual from eSim website and add it to `library/browser/User-Manual/`.
- - Remove `figures` folder and `eSim.html` file from `library/browser/User-Manual/`.
- - Update user manual filename as `eSim_Manual_y.x.pdf` where y.x is the updated version.
+ - Manual name convention is `eSim_Manual_y.x.pdf` where y.x is the updated version.
- Update path in the following line at `master/src/browser/UserManual.py` with the updated manual name:
```python
file = os.path.realpath('library/browser/User-Manual/eSim_Manual_2.0.pdf')